<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY gtksourceview-download-http
    "&gnome-download-http;/gtksourceview/&gnome-minor-24;/gtksourceview-&gtksourceview-version;.tar.xz">
  <!ENTITY gtksourceview-download-ftp  " ">
  <!ENTITY gtksourceview-md5sum        "b748da426a7d64e1304f0c532b0f2a67">
  <!ENTITY gtksourceview-size          "1.4 MB">
  <!ENTITY gtksourceview-buildsize     "80 MB (with tests)">
  <!ENTITY gtksourceview-time          "0.2 SBU (using parallelism=4; with tests)">
]>

<sect1 id="gtksourceview" xreflabel="gtksourceview-&gtksourceview-version;">
  <?dbhtml filename="gtksourceview.html"?>


  <title>gtksourceview-&gtksourceview-version;</title>

  <indexterm zone="gtksourceview">
    <primary sortas="a-gtksourceview">gtksourceview</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to GtkSourceView</title>

    <para>
      The <application>GtkSourceView</application> package contains
      libraries used for extending the <application>GTK+</application>
      text functions to include syntax highlighting.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&gtksourceview-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&gtksourceview-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &gtksourceview-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &gtksourceview-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &gtksourceview-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &gtksourceview-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">GtkSourceView Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="gtk3"/>
    </para>

    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      &gobject-introspection;
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="vala"/>,
      <xref linkend="valgrind"/>,
      <xref linkend="gtk-doc"/>,
      <xref linkend="itstool"/>,
      <xref linkend="fop"/> (or
      <ulink url="https://sourceforge.net/projects/dblatex/">dblatex</ulink>),
      and
      <ulink url="https://glade.gnome.org/">Glade</ulink>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of GtkSourceView</title>

    <para>
      First, fix building this package with gcc-14 and later:
    </para>

 <screen><userinput remap="pre">sed -i 's/g_object_ref (buffer)/g_object_ref (GTK_SOURCE_BUFFER (buffer))/' gtksourceview/gtksourceview.c</userinput></screen>

    <para>
      Install <application>GtkSourceView</application> by running the
      following commands:
    </para>

<screen><userinput>./configure --prefix=/usr &amp;&amp;
make</userinput></screen>


    <para>
      To test the results, issue <command>make check</command>. The tests need
      to be run in a graphical environment.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/gtk-doc-rebuild.xml"/>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Library</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          None
        </seg>
        <seg>
          libgtksourceview-3.0.so
        </seg>
        <seg>
          /usr/{include,share,share/gtk-doc/html}/gtksourceview-3.0
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="libgtksourceview-3">
        <term><filename class="libraryfile">libgtksourceview-3.0.so</filename></term>
        <listitem>
          <para>
            contains function extensions for the GtkTextView widget
          </para>
          <indexterm zone="gtksourceview libgtksourceview-3">
            <primary sortas="c-libgtksourceview-3">libgtksourceview-3.0.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
